About Sony Notebook Setup

Sony Notebook Setup is a utility that allows you to confirm system information, specify preferences for system behavior, and change hardware settings for your Sony notebook computer. Note that you must have a computer administrator account to change the settings.

You can use Sony Notebook Setup to:
  • Select the printer mode
  • Set the built-in pointing device
  • Set the touch panel
  • Set the parameters for the mouse
  • Change the default startup procedure
  • Enable or disable ports
  • Change the function assigned to the S button
  • Set the automatic output function
  • Change the shortcut key settings
  • Resolve resource conflicts
  • Change the value for automatic brightness adjustment
  • Change the settings for the Station/Port replicator
  • Set the screen resolution for external output
  • Change the button assignments (Normal mode)
  • Change the button assignments (Rotational mode)
  • Change the button assignments (port replicator)
  • Change the window settings
  • Changing the DVD Button Function
  • Setting Performance Control

Since you can connect your Sony notebook computer to many kinds of peripheral devices, you must ensure that no two devices use the same resources. If a resource conflict occurs while connecting a new device, Sony Notebook Setup allows you to easily disable unused ports or access and change the hardware resource assignments, ensuring a valid hardware configuration.

Using Sony Notebook Setup Main Window

The Sony Notebook Setup main window allows you to change your Sony notebook computer's hardware configuration, and to specify your preferences for system behavior.

Hint

The command buttons at the bottom of the window allow you to save your changes, restore the default settings, or close the window.

When Changes Take Effect

Some of the changes that you make on the pages of the Sony Notebook Setup main window take effect immediately.
Other settings do not take effect until you save them and restart the computer.


Starting and Exiting Sony Notebook Setup

Starting Sony Notebook Setup

There are several ways to open the Sony Notebook Setup main window:
  • The Windows Start menu
    From the Start menu, select All Programs, Sony Notebook Setup and then Sony Notebook Setup.
  • The Windows Control Panel
    Select Control Panel from the Start menu. In the Control Panel folder, select Performance and Maintenance (only when Control Panel is displayed in category view), then Select Sony Notebook Setup.

Closing Sony Notebook Setup

Use the command buttons at the bottom of the main window to close the window and to save your changes.
Button | Function
Apply | Save your changes without closing the window.
OK | Save your changes and quit.
Cancel | Quit without saving your changes.
Default | Restore all settings to their initial values.


When Settings Take Effect

The following settings are dynamic; that is, they take effect immediately:
  • Enabling or disabling ports (*)
  • Changing the boot sequence
  • Enabling or disabling the animated VAIO logo
  • Setting the Bass Boost (*)
  • Enabling and Disabling the pointing device (*)
  • Setting the properties of the pointing device (*)
  • Enabling or disabling the touch panel (*)
  • Setting the properties of the touch panel (*)
  • Changing the function assigned to the S button (*)
  • Setting the automatic output function (*)
  • Setting the shortcut key (*)
  • Changing the value for automatic brightness adjustment (*)
  • Setting the Station/Port replicator (*)
  • Setting the screen resolution for external output (*)
  • Changing the button assignments (Normal mode) (*)
  • Changing the button assignments (Rotational mode) (*)
  • Changing the button assignments (port replicator) (*)
  • Changing the window settings (*)
  • Changing the function assigned to the DVD button (*)

Note

Options marked by (*) are not available on some models.

You must save all other settings using the command buttons at the bottom of the main window. These settings take effect only after you restart the computer.

When you save your settings and quit the Sony Notebook Setup main window by clicking the OK button, a confirmation dialog box appears, asking whether you wish to restart the computer in order to put your new settings into operation.

Hints

  • Click Yes to restart the computer immediately.
  • If you click No, the system saves the new settings in backup memory, and applies them the next time you restart the computer.


The Sony Notebook Setup Main Window

All Sony Notebook Setup operation is performed from the main window.
  • Settings are made within screens that are displayed by clicking tabs in the main window.
  • When settings are changed, the changes are saved by clicking the command buttons.


Selecting Pages with Tabs

A row of tabs appears at the top of the main window. Upon clicking a tab, the tab is highlighted and the corresponding screen appears in the window.

These tabs display by default:
  • About This Computer
  • Initial Setting
  • Bass Boost (*)
  • Device (*)
  • S Button (*)
  • Plug and Display (*)
  • Shortcut Keys (*)
  • Automatic Brightness (*)
  • Station/Port replicator (*)
  • Screen Resolution (*)
  • Buttons (Normal) (*)
  • Buttons (Rotational) (*)
  • Buttons (External) (*)
  • VAIO Design Setting (*)
  • DVD Button (*)
  • Performance (*)

Note

The tabs marked by (*) are not available on all models.

When you change a setting on one of the pages you must save the changes using the Apply or OK button on the main window. In many cases the changes take effect only when you restart the computer.

When you change a setting on one of the pages, a small x character appears on the tab for that page. The x disappears when you save the changes, using the Apply or OK button on the main window. This allows you to see at a glance whether you need to save any changes, even if they are on pages other than the one you are currently using.


Command Buttons

The command buttons at the bottom of the main window allow you to save the changes you made to the hardware configuration using the different pages of Sony Notebook Setup, to restore default settings, and to close the main window.
Button | Function
OK Close the main window and save the changes you made to the hardware configuration.

When you click OK, the system saves the settings to backup memory. The new configuration does not take effect until you restart the computer. You can use Sony Notebook Setup to require a restart whenever you close the Sony Notebook Setup main window. When the system requires a restart, a dialog box appears to confirm that you wish to restart with the new settings.
  • Click Yes to restart with the new settings.
  • Click No to close the Sony Notebook Setup main window without restarting. In this case, the new settings take effect the next time you restart the computer.
Cancel | Close the window without making any changes. This discards all changes you made since the last time you clicked Apply, and the window closes.
Apply | Save the changes you made to the hardware configuration without closing the window. The system saves the settings to backup memory. The new configuration does not take effect until you restart the computer.
Default | Restore all of the settings to their default values. The system saves the default settings when you click OK or Apply.
Help | Open the online Help for Sony Notebook Setup.


About This Computer Page

The page under the About This Computer tab displays information about your operating system and the hardware architecture.

This page provides reference information; you cannot set or change anything on the page.

Use the About This Computer page to verify that your system can run particular applications, or to get the information that you need to provide when you call Technical Support.


Initial Setting Page

The page under the Initial Setting tab allows you to specify the order in which the system checks for devices containing a bootable system when it starts.

The bootable system can be on a CD-ROM, a floppy disk, or the computer's internal hard disk. The system checks each device in turn to see if it contains the bootable system. If it finds a bootable system, the computer boots from that device. The initial order in which it checks the devices is the default boot sequence. It is not normally necessary to change the default boot sequence. Do not attempt to do so unless you are a qualified system administrator.

This page also allows you to enable/disable the animated VAIO logo (displayed when the system starts).

Use the Initial Setting page to perform the following tasks:

  • Change the boot sequence; that is, the order in which the computer looks for devices from which to boot.
  • Enabling and Disabling the animated VAIO logo.


Device Page

The page under the Device tab allows you to enable and disable devices. Disabling ports that are not in use may help you to resolve resource conflicts.

Use the Device page to perform the following tasks:

  • Enable or disable ports.
  • Specify the printer mode.
  • Specify the hardware resources for use by the Printer port.
  • Assign hardware resources for the serial port.
  • Enable or disable the built-in pointing device.
  • Set the properties of the pointing device, such as the response speed, or the type of mouse in use.
  • Enable or disable the touch panel.
  • Specify the properties of the touch panel including the operation mode of the touch panel.

Note

Available tasks vary, depending on the model of your computer.


Bass Boost Page

The page under the Bass Boost tab allows you to set the Bass Boost option on/off. You can also specify sound tone when it is On.

Note

This tab is not displayed on all models.


S Button Page

The page under the S Button tab allows you to change the functions assigned to the computer's S button.
To assign functions to individual buttons, select functions from those available in the drop-down lists.
With Launch Application selected from the drop-down list, click the Advanced button to display the Specify Application dialog box and specify an application to be launched when you press the S button.

Note

This tab is not displayed on all models.


Plug and Display Page

The page under the Plug and Display tab allows you to make settings for automatic output to the external display.
When the automatic output function is enabled, you can also set the behavior of your computer when it has an external display connected.

Note

Available setup items vary, depending on the model of your computer.


Shortcut Keys Page

The page under the Shortcut Keys tab allows you to change the shortcut key settings. Specify whether to change the screen resolution of your external display automatically when you press the shortcut key (Fn+F7 key) to switch the output display to the external display.

You can also specify individual screen resolutions for both the computer's LCD and the external display and for the external display only.

Note

This tab is not available on all models.


Automatic Brightness Page

The page under the Automatic Brightness tab allows you to change the brightness that is automatically adjusted for the LCD.

Note

This tab is not displayed on all models.


Station/Port replicator Page

The page under the Station/Port replicator tab allows you to make settings for station or port replicator connected to your computer.

Use the Station/Port replicator page to perform the following tasks:

  • Set the output method and the output frequency to the OPTICAL OUT.

Note

This tab is not displayed on all models.


Screen Resolution Page

The page under the Screen Resolution tab allows you to specify the screen resolution of the connected external display.

Note

Available setup items vary, depending on the model of your computer.


Buttons (Normal) Page

The page under the Buttons (Normal) tab allows you to change the functions assigned to the respective buttons in Normal mode.
To assign functions to individual buttons, select functions from those available in the drop-down list.
With Launch program or Assign key selected from the drop-down list, click the Advanced button to display the Advanced Button Settings dialog box and specify a program or a key function to be activated when you press the respective button.

Note

This tab is not displayed on all models.


Buttons (Rotational) Page

The page under the Buttons (Rotational) tab allows you to change the functions assigned to the respective buttons in Rotational mode.
To assign functions to individual buttons, select functions from those available in the drop-down lists.
With Launch program or Assign key selected from the drop-down list, click the Advanced button to display the Advanced Button Settings dialog box and specify a program or a key function to be activated when you press the respective button.

Note

This tab is not displayed on all models.


Buttons (External) Page

The page under the Buttons (External) tab allows you to change the functions assigned to the respective buttons on the port replicator connected to your computer.
To assign functions to individual buttons, select functions from those available in the drop-down lists.
With Launch program or Assign key selected from the drop-down list, click the Advanced button to display the Advanced Button Settings dialog box and specify a program or a key function to be activated when you press the respective button.

Note

This tab is not displayed on all models.


VAIO Design Setting Page

The page under the VAIO Design Setting tab allows you to specify.
  • window designs at individual screen resolutions.
  • VAIO Software Keyboard launch at the time of logging on.
  • a behavior when the screen resolution is greater than the LCD resolution.

Note

This tab is not displayed on all models.


DVD Button Page

The page under the DVD Button tab allows you to change the function assigned to the DVD button on your computer.
Select a function from those available in the drop-down lists to specify your preferences to the playback operation of the DVD player activated by the DVD button.
With the Do not use as the DVD button check box selected and Launch Application selected from the drop-down list, click the Advanced button to display the Specify Application dialog box and specify application to be launched when you press the DVD button.

Note

This tab is not displayed on all models.


Performance Page

The page under the Performance tab allows you to select a configuration for power consumption.

Note

This tab is not displayed on all models.


Saving and Applying Changes to the Configuration

Some of the changes that you make in the main window are dynamic, and take effect immediately. While others take effect after you save them and restart the computer. The Apply and OK buttons at the bottom of the main window allow you to save the changes you make to the hardware configuration using the different pages.
Button | Function
Apply | Save your changes to the hardware configuration without closing the Sony Notebook Setup main window. The system saves the settings to backup memory. The new configuration does not take effect until you restart the computer.
OK Close the window and save your changes to the hardware configuration.
When you click OK, the system saves the settings to backup memory. The new configuration does not take effect until you restart the computer. Whenever you close the main window, a dialog box appears to confirm that you wish to restart with the new settings.
  • Click Yes to restart with the new settings.
  • Click No to close the window without restarting. In this case, the new settings take effect the next time you restart the computer.


Setting the Printer Mode

You can use the Device page to set the printer mode.

Select one of the following printer modes:
  • Normal (Output only)
  • Bi-directional
  • ECP

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

Note

This option is not available on all models.


Enabling and Disabling the Built-in Pointing Device

Use the Device page to enable or disable the built-in pointing device. A check mark by a pointing device icon indicates that the pointing device is enabled. Click the box to switch the check mark on or off, enabling or disabling the built-in pointing device.
When you disable the built-in pointing device, the built-in pointing device has no effect on the pointer position.

Note that this setting controls the built-in pointing device even when you connect an external mouse to the MOUSE/KEYBOARD connector or USB connector. It is possible to use both an external mouse and the built-in pointing device as pointing devices.

This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

You can also use the Device page to set the properties of the pointing device, such as its response speed.

Note

This option is not available on all models.


Setting the Properties of the Pointing Device

Use the Device page to set the properties of the pointing device (either the built-in pointing device, an external mouse, or both).

Select the mouse icon and click the Setting button to display the Mouse Properties dialog box. This is the same dialog box that appears when you select Mouse from the Windows Control Panel. You can use it to set the speed of response, configure the buttons for right- or left-handed use, or specify the type of mouse you are using.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the Mouse Properties dialog box and the main window.

Changes to the properties of the pointing device are activated without restarting your computer.

Note

This option is not available on all models.


Enabling/Disabling the Touch Panel

The page under the Device tab allows you to enable the touch panel. The touch panel device name and the icon with the check mark indicate that the device is enabled. Selecting the check box enables the touch panel; and removing the check mark disables it.
When the touch panel is disabled, you cannot use it for operations.

Any change to the touch panel setting is activated without restarting your computer.

From this page, you can also specify the touch panel properties.

Note

This option is not available on all models.


Specifying the Properties of the Touch Panel

The page under the Device tab allows you to specify the properties of the touch panel.

Select the touch panel icon and click the Setting button to display the Touch Panel Properties dialog box. This dialog box is exactly the same as the one you see when you select Touch Panel in the Control Panel window. Specify the operation mode of the touch panel and the double-clicking speed.

Changes to the properties of the touch panel are activated without restarting your computer.

Note

This option is not available on all models.


Enabling and Disabling Ports

A list of all ports available appears on the Device page. Each port has a check box; a check mark indicates that the port is enabled. Click the box by a port to switch the check mark on or off, enabling or disabling the port.
  • Serial port (*)
  • Printer port (*)

When you disable a port, the hardware resources used by that port are available to use elsewhere. When a port is disabled, any device you connect to that port does not function.

All of the settings on this page are normally dynamic; that is, the settings take effect immediately. Depending on the Windows system status, you may need to restart the computer. In this case, a confirmation dialog box appears. However, if you change the status of a port in order to resolve a resource conflict, you may wish to save the change and restart the computer even if it is not required. To do this, use the command buttons at the bottom of the main window.

Notes

  • This option is not available on all models.
  • The ports marked by (*) are not available on all models.


Enabling and Disabling the animated VAIO logo

On the page under the Initial Setting tab, you can enable or disable the animated VAIO logo (displayed when the system starts).

A check mark indicates that animation is enabled. Click the Show boot animation check box to switch the check mark on or off, enabling or disabling animation.

You can adjust the volume of sound played during display of animations by dragging the Initial volume slider. Dragging the slider all the way to the left reduces the volume to zero.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.


Setting Bass Boost

Setting the Bass Boost

You can modify the setting of the Bass Boost feature in order to increase the bass sound in the headphone. You can turn on/off this option by pressing the Fn+B key or using the Bass Boost page.

Select alternatively the On or Off check box to turn on/off this option. A check mark in the corresponding box indicates if the feature is activated or not.

You can listen to the sample sounds displayed on the list. Select a sample sound and click the Play button.

The Bass Boost option can be turned on/off while the sound is being played. As this setting is dynamic; there is no need to restart your computer for the setting to take effect.

Note

This option is not available on all models.


Setting Sound Tone

On models featuring Bass Boost, the Bass Boost setting can be adjusted in the Bass Boost page.

You can select one of the pre-defined settings by selecting from the list appearing in the Preset list.

To set a custom value, select Custom in the Preset list, and then drag the slider to the right or left to increase or reduce the bass or treble.

Note

This option is not available on all models.


Changing the Boot Sequence

Use the Initial Setting page to change the order in which the computer looks for devices from which to boot.

The possible boot devices are the CD-ROM drive, the floppy disk drive, and the internal hard drive. An icon representing each of these devices displays on the Boot Device Sequence box. The order of the icons on the page reflects the order in which the computer checks the devices containing a bootable system when it starts; the topmost icon represents the first device it checks.

To change the order in which the computer checks devices at startup, use the pointing device to drag the icons into the desired positions on the screen. For example, if you want the system to check the internal hard disk drive before the diskette drive, click the hard drive icon to select it, then hold down the button while you move the icon to the second position. When the hard drive icon is in the second position, release the button.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

Use extreme caution in altering the default boot sequence. Note that, in a case where the computer fails to boot because of a hard disk problem, you must boot from a recovery CD to re-install the system software. If you change the start-up sequence so that the computer checks the hard disk before the CD-ROM drive, the computer will not find the bootable system on the CD-ROM drive, and you will not be able to recover from the error.


The Default Startup Sequence

The startup sequence, or boot sequence, is the order in which the system checks devices for bootable software.
When you turn the computer on, the system completes the following steps to boot the system software:
  1. CD-ROM Drive
    • If the CD-ROM drive is connected and a bootable CD-ROM is in the drive, the system boots from the CD-ROM.
    • If the CD-ROM drive is not connected or does not contain a bootable CD-ROM, the system checks the diskette drive.
  2. Diskette Drives
    • If the diskette drive is connected and a bootable diskette is in the drive, the system boots from the diskette.
    • If the diskette drive is connected but contains a non-bootable diskette, the system displays a dialog box with the following message, and ends the startup procedure:
      • Non-system disk or disk error
      • Replace and strike any key when ready
  3. Hard Disk Drive
    • If the internal hard disk drive contains bootable software, the system boots from the hard disk.
    • If the system cannot read any bootable software from the hard disk drive, the boot fails.
It is possible to change the sequence, using the Initial Setting page.

Use extreme caution in altering the default boot sequence. Note that, in a case where the computer fails to boot because of a hard disk problem, you must boot from a recovery CD to re-install the system software. If you change the start-up sequence so that the computer checks the hard disk before the CD-ROM drive, the computer will not find the bootable system on the CD-ROM drive, and you will not be able to recover from the error.


Changing the S Button Function

If your computer is equipped with the S button, you can assign a function to this button for operating the computer, and then perform the function simply by pressing the button. Use the S Button tab to change the function assigned to the button.
Select a function from those available in the drop-down list. A description of the selected function appears in the Current Settings box.

Assigning the External Display function to the S button, and then pressing the button enables you to switch display between the computer's LCD and the external display.
With Launch Application selected from the drop-down list, click the Advanced button to display the Specify Application dialog box and specify an application to be launched when press the S button.

Note

This option is not available on all models.


Setting the Automatic Output Function

Use the Plug and Display tab to set the automatic output behavior when an external display is connected to your computer.
The selected check box indicates that the setting is enabled.
When Enable automatic output function is selected, you can view on the external display without changing the output destination, that is, just by connecting it to your computer.

When this function is enabled, you can also specify the following:
  • Enable display on the notebook's LCD and the external monitor
  • Show Display Switching window when external display is connected
  • Show balloon when external display is connected

This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

Note

This option is not available on all models.


Changing the Shortcut Key Settings

Use the Shortcut Keys page to change the settings for displaying on an external display.

To change the screen resolution of the external display automatically when you press the shortcut key (Fn+F7 key), click the Change the screen resolution after switching the output display check box.

To specify a resolution, select one individually from those available in the LCD and external display and the External display only drop-down lists.

These settings are dynamic; that is, there is no need to restart the computer for the settings to take effect.

Notes

  • In order for the specified resolutions to take effect, you must click the Change the screen resolution after switching the output display check box to switch the check mark on.
  • This option is not available on all models.


Changing the Value for Automatic Brightness Adjustment

Use the Automatic Brightness tab to change the brightness that is automatically adjusted for the LCD. Five levels of brightness, from Brightest to Darkest, are available for selection for Settings.
If you select the brightness level that is suited for most places, the brightness will be automatically adjusted when the location or the brightness is changed.

This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

Notes

  • This option is not available on all models.
  • With Sony Notebook Setup, you cannot disable the automatic brightness adjustment function.


Changing the Station/Port replicator Settings

Use the Station/Port replicator tab to specify the behavior when station or port replicator is connected to your computer.

  • Output Setting for OPTICAL OUT
    • No output to speaker and OPTICAL OUT on docking station/port replicator
    • Digital output only to speaker and OPTICAL OUT on docking station/port replicator
    • Digital and analog output to speaker and OPTICAL OUT on docking station/port replicator
  • Setting Output Frequency for OPTICAL OUT
    • 48KHz
    • 44KHz

This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

Note

This option is not available on all models.


Setting the Screen Resolution for External Output

The page under the Screen Resolution tab allows you to make settings for the screen resolution when an external display is connected to your computer.
  • Display contents on the LCD together with the external display.
  • Change the screen resolution when displaying contents on the external display.

With the Change the screen resolution when displaying contents on the external display check box selected, you can specify the resolution of the external display.

Changes to the screen resolution settings are activated without restarting your computer.

Note

This option is not available on all models.


Changing the Button Assignments (Normal Mode)

You can assign a variety of functions to the buttons on your computer to help you use it in Normal mode. Once functions have been assigned, then you can just press a button to carry out its respective function.
To assign functions to the buttons, use the page under the Buttons (Normal) tab.

Select functions from those available in the drop-down list for individual buttons.
A different set of functions is provided for buttons 1 to 3 and for buttons 4 to 8.
  • To buttons 1 to 3
    Assign a function in regard to mouse operations.

    Hint

    To assign a function other than the predefined ones, select Control Panel from the Start menu. In the Control Panel folder, click Printers and Other Hardware, Mouse, and then the Device Settings tab to specify your desired function.
  • To buttons 4 to 8
    Assign a function in regard to the volume and the display or a frequently used program.
    With Launch program or Assign key selected from the drop-down list, click the Advanced button to display the Advanced Button Settings dialog box and specify a program or a key function to be activated when you press the respective button.

Note

You must at least assign Left-click to one of buttons 1 to 3 and Rotate to one of buttons 4 to 8.

The following check boxes are also available for button assignment:
  • Illuminate buttons when pressed.
    Buttons will be illuminated when pressed.
  • Specify individual button settings in Rotational mode.
    Allows you to make button settings in Rotational mode, independent from Normal mode.
  • Show button descriptions.
    The functions assigned to the buttons will be displayed when the Rotate button is pressed.
    Then, you can click any of the displayed button descriptions to start Sony Notebook Setup.

Changes to the button assignments are activated without restarting your computer.

Note

This option is not available on all models.


Changing the Button Assignments (Rotational Mode)

You can assign a variety of functions to the buttons on your computer to help you use it in Rotational mode. Once functions have been assigned, then you can just press a button to carry out its respective function.
To assign functions to the buttons, use the page under the Buttons (Rotational) tab.

Hint

To assign functions to the buttons on the page under the Buttons (Rotational) tab, select the Specify individual button settings in Rotational mode check box on the page under the Buttons (Normal) tab.

Select functions from those available in the drop-down list for individual buttons.
A different set of functions is provided for buttons 1 to 5 and for buttons 6 to 8.
  • To buttons 1 to 5
    Assign a function in regard to the volume and the display or a frequently used program.
    With Launch program or Assign key selected from the drop-down list, click the Advanced button to display the Advanced Button Settings dialog box and specify a program or a key function to be activated when you press the respective button.
  • To buttons 6 to 8
    Assign a function in regard to mouse operations.

    Hint

    To assign a function other than the predefined ones, select Control Panel from the Start menu. In the Control Panel folder, click Printers and Other Hardware, Mouse, and then the Device Settings tab to specify your desired function.

Note

You must at least assign Rotate to one of buttons 1 to 5 and Left-click to one of buttons 6 to 8.

Changes to the button assignments are activated without restarting your computer.

Note

This option is not available on all models.


Changing the Button Assignments (Port Replicator)

You can assign a variety of functions to the buttons on the port replicator to help you use your computer with the port replicator. Once functions have been assigned, then you can just press a button to carry out its respective function.
To assign functions to the buttons, use the page under the Buttons (External) tab.

Select functions from those available in the drop-down list for individual buttons.
With Launch program or Assign key selected from the drop-down list, click the Advanced button to display the Advanced Button Settings dialog box and specify a program or a key function to be activated when you press the respective button.

Changes to the button assignments are activated without restarting your computer.

Note

This option is not available on all models.


Changing the Window Settings

The page under the VAIO Design Setting tab allows you to specify window designs at individual screen resolutions and software launch on the Welcome screen.

  • The following 4 options are available for window designs at individual screen resolutions:
    • VAIO Preferred Design
    • Favorite Design
    • Windows Default Design
    • In Common With "Screen Property"

    Hints

    • With Favorite Design or In Common With "Screen Property" selected, you can then click the Advanced button to display the Advanced Window Design Settings dialog box and make additional settings including the icon size.
    • Alternatively, you can right-click on the desktop and use the shortcut menu to change window designs.
  • Launch VAIO Software Keyboard on Welcome screen.
    Specify whether to launch the character input software, VAIO Software Keyboard, at the time of logging on.

    Hint

    Selecting the Launch VAIO Software Keyboard on Welcome screen check box makes the Do not show VAIO Software &Keyboard when folding keyboard is connected check box available for selection.
  • Show VAIO Virtual Desktop when screen resolution is greater than LCD resolution.

Changes to the window settings are activated without restarting your computer.

Note

This option is not available on all models.


Changing the DVD Button Function

The page under the DVD Button tab allows you to specify your preferences to the operation performed when the DVD button is pressed.
You can select a function from those available in the drop-down list to specify display and sound preferences to DVD playback with the DVD player activated by the DVD button.
To enable or disable the exit function of the DVD player, select or clear the Exit the DVD player when the button is pressed while launching the player check box.

With the Do not use as the DVD button check box selected, you can use the drop-down list under the check box to assign one of the available functions to the DVD button.
A description of the selected function appears in the Current Settings box.
With Launch Application selected from the drop-down list, click the Advanced button to display the Specify Application dialog box and specify an application to be launched when you press the DVD button.

Hint

Selecting the Do not use as the DVD button check box disables all the options for the DVD player in the upper section of the window.
Changes to the button assignments are activated without restarting your computer.

Note

This option is not available on all models.


Setting Performance Control

The page under the Performance tab allows you to select a configuration for power consumption.

You can select Memory bus: 266 MHz/Graphics core frequency: 200 MHz or Memory bus: 333 MHz/Graphics core frequency: 250 MHz on the page under the Performance tab to specify whether priority is given to power saving or performance.

Notes

  • To activate the setting, you must shut down your computer.
    Any change is made on the page under the Performance tab and OK or Apply is clicked, the dialog box appears prompting you to shut down your computer.
  • This option is not available on all models.


About Resource Conflicts

The Sony notebook computer has many built-in I/O devices and ports, including the internal modem, a speaker and audio port, a serial port, a parallel port that you can configure for a printer or floppy disk drive, and a CD-ROM drive.

All of the devices and ports share the hardware resources of the system. Each has an I/O address, an IRQ (hardware interrupt request) and a hardware port. Some devices also have a DMA (Direct Memory Access) assignment.

If two devices try to use the same hardware resource, a conflict occurs, and the computer cannot use either device. For example, this can occur after you connect a new device. Use the Device page to see the current hardware resource assignments.

There are two ways to resolve a resource conflict:
  • Use the Device page to disable one of the devices or ports to which the resource is assigned.
  • Reassign hardware resources to avoid duplication.


Setting Hardware Resources for the Printer Port

You can use the Device page to specify the hardware resources of the parallel port.

If a resource conflict occurs, use the Device page to resolve it.

In order for the changes to take effect, save and restart the computer. To do this, use the command buttons at the bottom of the main window.

Note

This option is not available on all models.


Setting Hardware Resources for the Serial Port

You can assign hardware resources for the serial port using the Device page.

Select a port assignment from the drop-down list. Each port assignment uses a preset combination of I/O address and an IRQ.

If you select Other, the page displays controls for selecting the I/O address and IRQ separately. In this case, select an I/O address and an IRQ from the drop down lists.

In order for the changes to take effect, save and restart the computer. To do this, use the command buttons at the bottom of the main window.

Note

This option is not available on all models.


Backup Memory

The configuration specified in Sony Notebook Setup is saved to backup memory (CMOS) whenever you click the OK or Apply buttons. This memory is powered by the battery when the computer is powered down, so that the settings can be preserved and applied when the computer is restarted.


Bi-Direction Mode

A printer mode. Choose this mode if you want to use the parallel port to connect a bi-directional printer.


DMA (Direct Memory Access)

A rapid link between a peripheral and the computer's main memory, which avoids accessing routines for each item of data read. A fixed number of DMA lines are available, so a DMA line is an assignable hardware resource.


ECP Mode (Extended Capability Port)

Extended specification of parallel port included in IEEE 1284. Choose this mode if you want to use the parallel port to connect parallel devices that use the ECP standard.


I/O Address

The memory location used by an I/O port to transfer data to and from the CPU.


IRQ (Interrupt Request)

A signal from a device to the CPU that indicates an event has occurred and the device requires attention. A fixed number of interrupt request lines are available, so an IRQ line is an assignable hardware resource.


Normal Mode

A standard printer mode. Choose this mode if you want to use the printer port as a general parallel port.


Resource

An assignable hardware resource is a physical connection of a particular type between a peripheral device and the CPU. If two devices are assigned the same resource, a resource conflict can occur. Resources include:
  • I/O Address
  • IRQ (Interrupt Request)
  • DMA (Direct Memory Access)


Trademarks

Copyright 1997-2004 Sony Corporation

  • is a trademark of Sony Corporation.
  • Microsoft and Windows are registered trademarks of Microsoft Corporation in the U.S. and other countries.
  • All other system names and product names appearing in this document are generally the registered trademarks or trademarks of their respective manufacturers. Further, the trademark (TM) and registered trademark (R) symbols are not indicated throughout this document.

  • Copying all or part of the contents of this software and help, or renting the software without authorization are prohibited by copyright laws.
  • The Sony Corporation cannot accept liability for damage or loss resulting from the use of this software, or for any claim from a third party.
  • This software must not be used in a system other than that specified.
  • The software specifications may be subject to change without notice.


Show boot animation check box

Click this check box to switch the check mark on or off, enabling or disabling the animated VAIO logo (displayed when the system starts).


I/O Address Drop-Down List Box

Use the scroll bar to view the list of I/O addresses. Click the I/O address you want to select.


Specify Application Dialog Box

Use this dialog box to specify an application to be launched when you press the S button.

When Launch Application is selected as the function assigned to the S button, the Advanced button in the Current Settings box is enabled. Click this button to display the Specify Application dialog box.

  • Application
    Specify the path to the application to be launched when you press the S button.
  • Option
    Enter parameters if necessary for launching the application.
    This is not a mandatory item.
  • Work folder
    Specify a work folder if you wish a particular folder to be used by the application.
    This is not a mandatory item.

This dialog box contains the following buttons.

Button | Function
OK | Save the settings and close the dialog box. The settings are enabled when you click the OK or Apply button on the main window.
Cancel | Close the dialog box without saving the settings.
Help | Bring up this help screen.


Viewing Current Resource Assignments

You can use the Device page to see the hardware resource assignments. This can help you to determine the reason for a resource conflict, and determine what action to take to resolve it. You cannot change any settings from this page.

Select which type of resource you wish to view from among the following types of hardware resource:

  • I/O Address
  • Interrupt (IRQ)
  • Direct Memory Access (DMA)

Note
This option is not available on all models.


Advanced Button Settings Dialog Box

Use this dialog box to specify a program or a key function to be activated when you press the respective button.
When Launch program or Assign key is selected for the button of your choice, the Advanced button is enabled. Click this button to display the Advanced Button Settings dialog box.
  • Use VAIO Software Keyboard for key code entry
    Select whether to use VAIO Software Keyboard for specifying your desired key.
  • Program assignment
    Specify the path to the program to be launched when you press the respective button.
    To specify the path, click the ... button to display the Program Details dialog box.
  • Key assignment
    Specify the key whose function you wish to assign to the respective button.

This dialog box contains the following buttons:

Button | Function
OK | Save the settings and close the dialog box. The settings are enabled when you click the OK or Apply button on the main window.
Cancel | Closes the dialog box without saving the settings.
Help | Bring up this help screen.

Program Details Dialog Box

Use this dialog box to specify the path to the program to be launched when you press the respective button.
  • Name
    Enter the program name.
  • Path
    Click the Browse button to specify the path to the program to be launched when you press the respective button.
  • Option
    Enter parameters if necessary for launching the program.
    This is not a mandatory item.
  • Work folder
    Specify a work folder if you wish a particular folder to be used by the program.
    This is not a mandatory item.

This dialog box contains the following buttons:

Button | Function
OK | Save the settings and close the dialog box. The settings are enabled when you click the OK or Apply button on the main window.
Cancel | Closes the dialog box without saving the settings.
Help | Bring up this help screen.


VAIO Virtual Desktop

When the screen resolution is greater than the LCD resolution, the LCD only shows a part of the desktop.
In such a case, you can display VAIO Virtual Desktop to view which part of the desktop is now displayed. This window also provides the Move and Fit functions.

This window contains the following buttons:

Button | Function
Mouse mode | Allows normal mouse operations.
Move mode | Turns the pointer into a palm. You can drag the desktop to view your desired position. To return to Mouse mode, click the Mouse mode button or right-click on the desktop.
Fit mode | Downsizes the desktop to fit it into the LCD. Click your desired position on the desktop to display the desktop with the clicked position in the center of the LCD at the original screen resolution.

Hint

In Move and Fit modes, mouse operations are disabled.


Advanced Window Design Settings Dialog Box

The Advanced Window Design Settings dialog box allows you to specify window designs in details.
To display the Advanced Window Design Settings dialog box, select Favorite Design or In Common With "Screen Property" and click the Advanced button on the page under the VAIO Design Setting tab.

Specify the size and font for the following items:
  • Icon
  • Menu
  • Title bar
  • Scroll bar
  • Option
  • Message box
  • Hint

This dialog box also has a check box at its bottom left section. You can select this check box to specify whether to save the current settings as Favorite Design.

This dialog box contains the following buttons:

Button | Function
OK | Save the settings and close the dialog box. The settings are enabled when you click the OK or Apply button on the main window.
Cancel | Closes the dialog box without saving the settings.


.topic 0x13020
Tabs :
Click the tab associated with the group of options you want to review or update.

.topic 0x10001
OK Command Button :
Click the OK button to save the current settings and quit Sony Notebook Setup. You may need to restart your VAIO Notebook Computer. If so, follow the instructions in the dialog box.

.topic 0x10002
Cancel Command Button :
Click the Cancel button to quit Sony Notebook Setup without saving any of the modified settings.

.topic 0x10069
Default Command Button :
Click the Default button to reset most of the Sony Notebook Setup options to their default value -- including in the current page. A pop-up dialog box asks you to confirm this action.
Click OK to return the settings to their default value, or Cancel to keep the current settings.

.topic 0x13021
Apply Command Button :
Click the Apply button to save your changes without closing the Sony Notebook Setup window.
You may need to restart your VAIO Notebook Computer for your settings to take effect. If so, follow the instructions in the dialog box.

.topic 0x10009
Help Command Button :
Click the Help button to display the Sony Notebook Setup Help.

.topic 0x10444
I/O Address Drop-Down List Box :
Use the scroll bar to view the list of I/O addresses. Click the I/O address you want to select.

.topic 0x10446
FIR Mode Only I/O Address Drop-Down List Box :
Use the scroll bar to view the list of FIR Mode Only I/O address options. Click the option you want to select.

.topic 0x10447
Port Assignment Drop-Down List Box :
Use the scroll bar to view the list of port assignment options. Click the option you want to select. When you select a port, the corresponding I/O address and IRQ settings display. The I/O address and IRQ are preset settings. Use caution when changing this setting since these port names are different from the port names in Windows.

.topic 0x10445
IRQ Drop-Down List Box :
Use the scroll bar to view the list of your IRQ options. Click the option you want to select.

.topic 0x10448
DMA Drop-Down List Box :
Use the scroll bar to view the list of DMA channel options. Click the option you want to select.

.topic 0x1040D
Docking Station Information :
Displays information about the Docking Station.
Note
When the Docking Station is not connected, this information does not display.

.topic 0x10481
Resource Settings Area :
Choose device specific Resources Settings, such as I/O address, DMA channel, and IRQ level, in this area.

.topic 0x1047F
Conflicting Resources Area :
Displays information about devices that you may have set to use the same resources.

.topic 0x10472
IrDA FIR Option Button :
Click the IrDA FIR option button to select this Infrared communication protocol. The communication speed changes automatically, according to the target device or application.

.topic 0x10473
IrDA SIR Option Button :
Click the IrDA SIR option button to select this Infrared communication protocol. The communication speed changes automatically, according to the target device or application.

.topic 0x103FA
ASK-IR Option Button :
Click the ASK-IR option button to select this protocol for Infrared communication. This setting is available when you communicate with a target device that only supports ASK-IR.

.topic 0x10480
Protocol Area :
Choose a protocol for Infrared communication in this area.

.topic 0x10483
All Modes Area :
Choose the Infrared port I/O address and IRQ resource settings in this area. Your VAIO Notebook Computer needs these resources regardless of your protocol setting.

.topic 0x10482
FIR Mode Only :
Choose the FIR Mode I/O address and DMA resource settings in this area. Your VAIO Notebook Computer needs these resources only when you select IrDA FIR, otherwise, you do not have to use them.

.topic 0x1040B
Use as FDD Connector Option Button :
Click Use as FDD connector to use the parallel port with a floppy disk drive. You do not have to restart your VAIO Notebook Computer after doing this.

.topic 0x10403
Use as a Printer Connector Option Button :
Click Use as a printer connector to use the parallel port with a printer or other parallel device. You do not have to restart your VAIO Notebook Computer after doing this.

.topic 0x103F6
Boot Device Sequence List :
Use this list to view or change the Boot device sequence. The top icon represents the first start-up device. To change the device order, use the touchpad to select and drag the device within the list.

.topic 0x10404
Normal (Output only) Option Button :
Click Normal (Output only) to set the printer port to Normal output mode.

.topic 0x10405
Bi-directional Option Button :
Click Bi-directional to set the printer port to Bi-directional mode.

.topic 0x10406
ECP Option Button :
Click ECP to set the printer port to ECP mode.

.topic 0x10485
Printer Port Mode :
Choose a printer port mode in this area. These options are available only when you select the Use as printer connector option button.

.topic 0x10401 :
Enable Touchpad Option Button
Click the Enable Touchpad option button to use the built-in touchpad.
Note
When this option is selected, you can use both the touchpad and an external mouse.

.topic 0x10402
Disable Touchpad Option Button :
Click the Disable Touchpad option button to turn off the built-in touchpad and to use an external mouse instead.

.topic 0x1040C
Touchpad Settings Command Button :
Click the Touchpad Settings button if you want to view or adjust the advanced settings for your built-in touchpad.

.topic 0x10466
Advanced Command Button :
Click the Advanced button to display additional tabs allowing you to access the advanced Sony Notebook Setup settings.
If you quit Sony Notebook Setup with the Advanced button active, Sony Notebook Setup starts in Advanced mode the next time you use it.

.topic 0x10467
Basic Command Button :
Click the Basic button to switch from the Advanced mode to the Basic mode settings in Sony Notebook Setup.

.topic 0x10474
Check Box to Place Sony Notebook Setup Icon on the Taskbar :
Click the Place Sony Notebook Setup icon on the taskbar check box to display the Sony Notebook Setup icon in the status area of the Windows taskbar. To start Sony Notebook Setup, double-click this icon.

.topic 0x10436
I/O Address Option Button :
Click the I/O address option button to view the current I/O addresses for the devices controlled by Sony Notebook Setup.

.topic 0x10437
Interrupt Request (IRQ) Option Button :
Click the Interrupt request (IRQ) option button to view the current IRQ settings for the devices controlled by Sony Notebook Setup.

.topic 0x10438
Direct Memory Access (DMA) Option Button :
Click the Direct memory access (DMA) option button to view the current DMA settings for the devices controlled by Sony Notebook Setup.

.topic 0x10443
Column Headings Within the Resource Selector List Box :
Displays information on the devices and resource settings controlled by Sony Notebook Setup. The content of the list changes depending on the option selected under Resource selector.

.topic 0x104A3
Audio settings :
Use the drop-down list boxes in the I/O address area to change the I/O address settings for Audio devices.

.topic 0x1044A
MIDI I/O Address Drop-Down List :
Select a value in the drop-down list for the MIDI I/O address.

.topic 0x1044B
GAME I/O Address List :
Select a value in the drop-down list for the GAME I/O address.

.topic 0x1044C
AdLib I/O Address List :
Select a value in the drop-down list for the AdLib I/O address.

.topic 0x1044D
Sound Blaster I/O Address Drop-Down List :
Select a value in the drop-down list for the Sound Blaster I/O address.

.topic 0x1045D
Initial Volume Sliding Lever :
Move the slider to the desired position to set the volume for the built-in sound board. It is different from the volume setting used when starting Windows.

.topic 0x104BE
Initial Volume Sliding Lever :
Move the slider to the desired position to set the volume for the built-in sound board. It is different from the volume setting used when starting Windows.

.topic 0x104AE
BASS ON :
Click the On option button to turn on the Bass Boost feature.

.topic 0x104AF
BASS OFF :
Click the Off option button to turn off the Bass Boost feature.

.topic 0x104B7
Sample Sound :
Use the scroll bar to view a list of sample sounds. Select the sample sound by clicking it.

.topic 0x104B1
Play Sound :
Click the Play button to play the sample sound.

.topic 0x104B2
Stop Sound :
Click the Stop button to stop playing the sample sound.

.topic 0x104C4
Device Ports List :
Click the device on the list to remove the check mark and save resources by temporarily disabling this port.
Click the check box to enable the device again.

.topic 0x104BC
Show VAIO logo check box:
Click this check box to switch the check mark on or off, enabling or disabling the VAIO logo (displayed when the system starts).

.topic 0x104B8
The Preset list of the sound tone that you can select are shown. You can also specify your favorite sound tone by choosing [Custom].

.topic 0x104CB
Specify high tone of the audio.

.topic 0x104CC
Specify low tone of the audio.

.topic 0x104D1
Click this button to modify device settings.

.topic 0x104F5
Check Box to Change Screen Resolution:
If this check box is left unchecked, the screen resolution will remain unchanged when the shortcut key is pressed.

.topic 0x104F6
LCD and External Display Resolution Assignment Drop-Down List Box:
Select a screen resolution to assign both to the computer's LCD and the external display from the list of available resolutions.

.topic 0x104F7
External Display Resolution Assignment Drop-Down List Box:
Select a screen resolution to assign only to the external display from the list of available resolutions.

.topic 0x104FF
Drag the slider to change the brightness that is automatically adjusted for the LCD.

.topic 0x104F9
Select whether to view on the external display without changing the output destination just by connecting it to your computer.

.topic 0x104F8
Select whether to view the same output both on the external display and on your computer's LCD when activating the connected external display.

.topic 0x104FA
Select whether to display the selection window for switching the output destination when the external display is connected to your computer.

.topic 0x104FB
Select whether to display the message balloon from the Notification area when the external display is connected to your computer.

.topic 0x1052b
No output is provided to speaker and OPTICAL OUT on docking station/port replicator.

.topic 0x1052c
Digital output is provided to speaker and OPTICAL OUT on docking station/port replicator.

.topic 0x1052d
Digital and analog output is provided to speaker and OPTICAL OUT on docking station/port replicator.

.topic 0x1052f
Select the output frequency for OPTICAL OUT.

.topic 0x10530
Select the output frequency for OPTICAL OUT.

.topic 0x104ED
Select a function from those available in the drop-down list.

.topic 0x104EE
Select a function from those available in the drop-down list.

.topic 0x10504
Displays with the VAIO preferred design.

.topic 0x10505
Displays with the settings saved as the favorite design.

.topic 0x10506
Displays with the Windows default design.

.topic 0x10507
Displays with the previous settings.

.topic 0x1050A
When Favorite Design or In Common With "Screen Property" is selected, click to specify detailed settings.

.topic 0x10508
Select whether to launch VAIO Software Keyboard for character input at logging on.

.topic 0x10509
Select whether to display the VAIO Virtual Desktop window when the screen resolution is greater than the LCD resolution.
VAIO Virtual Desktop shows which part of the desktop is now displayed.

.topic 0x1054C
Select whether to display contents on your computer's LCD together with the external display.

.topic 0x1054d
Select whether to change the screen resolution when displaying contents on the external display.

.topic 0x1054e
Select a resolution of the external display from the drop-down list.

.topic 0x10550
Select a function to be assigned to the button from the drop-down list.

.topic 0x10551
Select a function to be assigned to the button from the drop-down list.

.topic 0x10552
Select a function to be assigned to the button from the drop-down list.

.topic 0x10553
Select a function to be assigned to the button from the drop-down list.

.topic 0x10554
Select a function to be assigned to the button from the drop-down list.

.topic 0x10555
Select a function to be assigned to the button from the drop-down list.

.topic 0x10556
Select a function to be assigned to the button from the drop-down list.

.topic 0x10557
Select a function to be assigned to the button from the drop-down list.

.topic 0x10558
Restores the default settings.

.topic 0x10559
When Launch program or Assign key is selected as the function to be assigned to the button, click to specify detailed settings.

.topic 0x1054f
Select whether to illuminate the button when pressed.

.topic 0x1056a
Select whether to specify the button settings in Rotational mode, independent from the button settings in Normal mode.

.topic 0x1056b
Select whether to show the functions assigned to the buttons when the ROTATE button is pressed.
Click the displayed function to launch Sony Notebook Setup.

.topic 0x1056E
Priority will be given to power saving.

.topic 0x1056F
Priority will be given to performance.

.topic 0x10570
Select the LCD brightness for the DVD player.

.topic 0x10571
Specify whether to place the DVD player into Cinema Mode.

.topic 0x10572
Specify whether to place the DVD player into Full-screen Mode.

.topic 0x10573
Specify whether to use virtual surround sound technology for the DVD player.

.topic 0x10574
When the Use Dolby Virtual Speaker technology check box is selected, select Surround Mode from the drop-down list.

.topic 0x10575
When the Use Dolby Headphone technology check box is selected, select Room Size from the drop-down list.

.topic 0x10576
With this check box selected, you can press the DVD button to exit the DVD player that is in the process of launching.

.topic 0x10577
With this check box selected, you can specify the optional assignments for the DVD button.

.topic 0x10578
With the Do not use as the DVD button check box selected, you can use the drop-down list to assign one of the available functions to the DVD button.

.topic 0x10579
When Launch Application is selected as an assignment to the DVD button, click this button to specify the assignment details.

.topic 0x10582
Suppresses the activity specified by the Launch VAIO Software Keyboard on Welcome screen check box and cancels VAIO Software Keyboard launch when the folding keyboard is connected.